Page 1 of 1

Hot to install the grand 3 on OS X yosemite 10.10.4

Posted: Sun Jun 26, 2016 3:09 pm
by lbidner
I keep getting an error saying I need Mac OS X 10.5.0 . I have a new mac with Yosemite 10.10.4. Is there any kind of driver I need to install so that I can use my software on my computer?